<?php
namespace Docuform\Api\Exception;

use Nyholm\Psr7\ServerRequest;
use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpInternalServerErrorException;

class ApiHttpServerErrorException extends HttpInternalServerErrorException
{
  // 500
  public function __construct(?ServerRequestInterface $request = null, ?string $message = null, ?string $description = null)
  {
    if ( $description )
      $this->description = $description;

    parent::__construct($request ? $request : new ServerRequest("",""), $message, null);
  }
}
